Page MenuHomePhabricator

Add interface to filter by triage status to Copy Patrol
Closed, DuplicatePublic8 Story Points

Description

(This ticket used to be: History log for Copy Patrol)

Add the following radio buttons to the filter interface, to toggle between four states:

  • Open cases (default) -- shows only non-triaged items
  • All page fixed cases -- shows only triaged items marked page fixed
  • All no action needed cases -- shows only triaged items marked no action needed
  • My reviews -- shows only items that the user has triaged

In the default "open cases" view, clicking on a triage state does not make the item disappear from view (as it does on Eranbot's interface). The newly-triaged item should be updated with the reviewer's username and date/time. After the next page refresh, the item will not appear in the open cases view. (For discussion -- does this work? Should this be a separate ticket?)

Event Timeline

DannyH created this task.Apr 16 2016, 12:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2016, 12:25 AM
DannyH set the point value for this task to 8.May 3 2016, 5:44 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:57 PM
DannyH updated the task description. (Show Details)May 18 2016, 9:20 PM

Are we already doing this through the filters now? We have "Page fixed" and "no action needed" filters. I guess we don't have one that shows all closed cases.

Are we already doing this through the filters now? We have "Page fixed" and "no action needed" filters. I guess we don't have one that shows all closed cases.

Are you talking about the wireframes? We don't have any filters on the tool as of now.

DannyH renamed this task from History log for Plagiabot to Add interface to filter by triage status to Copy Patrol .Jun 13 2016, 9:25 PM
DannyH updated the task description. (Show Details)
DannyH moved this task from Estimated to To be estimated/discussed on the Community-Tech board.
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM